Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 77030 - Make sure org-openide-options.jar is disabled autoload
Make sure org-openide-options.jar is disabled autoload
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@platform
TCA
: PERFORMANCE
Depends on: 87097 87114 87619 87706 87984 87985 87986 87987 87988 87990 88324 88339 88354 88355 88356 88357 88407 88418 88428 88432 88436 88442 88531 88769 88888 90403 103440 103723 103742 103751 103758 103759 103761 103764 103765 103767 103768 103771 103772 103774 103775 103776 103777 103778 103779 103781 103782 103783 103784 103785 103786 103787 103790 104959 116070 151130
Blocks: 73474 88435
  Show dependency treegraph
 
Reported: 2006-05-29 16:42 UTC by Jaroslav Tulach
Modified: 2009-02-19 22:53 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2006-05-29 16:42:14 UTC
The opinion document at
http://openide.netbeans.org/tutorial/reviews/opinions_73474.html
states that one of the goals of the "preferences rewrite" is to fully get rid 
of system options and as a measure of success it suggests to make sure the 
org-openide-options.jar module is really not used. 

This bug has been created to track this goal.
Comment 1 Jesse Glick 2006-10-26 17:36:08 UTC
BTW don't forget to also check for other settings stored in the userdir not
using SystemOption: editor stuff (of course), property sheet (I fixed this),
J2EE/whatever (I don't know who stores this), ...

Just run a copy of the IDE, change everything in sight, then go through the
userdir file by file until you have accounted for everything.
Comment 3 rmatous 2007-07-20 15:15:14 UTC
org-openide-options.jar is disabled when running just platform. 

Editor/settings must be fixed first, I think - reassigned. After fixing, just reassign back.
Comment 4 Vitezslav Stejskal 2007-07-23 11:40:40 UTC
The editor/settings module is fine, but other editor modules still depend on SystemOption. We are not planning to clean
this up for nb6, see issue #90403 for details.

I am not willing to take responsibility for this issue. The editor's part of the problem and its solution is described
in issue #90403 and I added it as a blocker for this issue, but the rest is outside of the scope of the editor module.
Comment 5 _ rkubacki 2007-08-09 09:57:01 UTC
I means smaller global lookup in many case due removal of options from Services folder of SFS.
Comment 6 Lukas Hasik 2008-04-10 21:23:26 UTC
moving opened issues from TM <= 6.1 to TM=Dev
Comment 7 Jiri Skrivanek 2008-10-22 11:29:39 UTC
org-openide-options.jar is currently directly used by org.netbeans.modules.cnd, org.netbeans.modules.db, and
org.netbeans.modules.editor.deprecated.pre61settings. I reopened issue 116070 for cnd. For db issue 88407 is still pending.

Comment 8 Vitezslav Stejskal 2008-10-23 11:59:33 UTC
I removed dependency on editor.deprecated.pre61settings from all the rest of the modules in Nb full distro, but xml.text.
http://hg.netbeans.org/main/rev/23a4468b0f9e

The xml.text is still using classes from e.d.pre61completion, which depends on e.d.pre61settings (issue #151130).

Comment 9 Jaroslav Tulach 2009-01-12 14:03:05 UTC
I guess this is fixed. I tried to execute full IDE:

$ ant tryme 2>&1 | grep option
     [exec]     org.netbeans.modules.options.api/1 [1.11 090109]
     [exec]     org.netbeans.modules.options.keymap [1.5 090109]
     [exec]     org.netbeans.modules.options.editor/1 [1.11 090109]

so it looks that org.openide.options is disabled. Great work!
Comment 10 Jiri Skrivanek 2009-01-16 14:03:16 UTC
So I consired this issue as fixed. Or is there yet anything else need to be done?
Comment 11 Jaroslav Tulach 2009-02-09 08:55:45 UTC
The necessary thing is to add test, so we do not regress in future. I'll do it as part of issue 157429.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo